# Compute market quote Returns a quote for a market order without creating an order Endpoint: POST /quotes Version: 1.0.0 ## Request fields (application/json): - `base_asset` (string, required) Base asset identifier (e.g. , , ) Example: "BTC" - `quote_asset` (string, required) Quote asset identifier (e.g. , ) Example: "USD" - `qty` (string, required) Quantity as a positive decimal string Example: "0.5" - `qty_unit` (string, required) Unit of the quantity. * — Quantity is denominated in the base asset (e.g. 0.5 BTC). * — Quantity is denominated in the quote asset (e.g. 1000 USD). Enum: "base", "quote" - `side` (string, required) The side of the order. * — Purchase the base asset using the quote asset. * — Sell the base asset in exchange for the quote asset. Enum: "buy", "sell" ## Response 200 fields (application/json): - `qty` (string) Expected output quantity as a decimal string. For a buy order this is the amount of base asset received; for a sell order it is the amount of quote asset received. Example: "0.01485" - `price` (string) Effective execution price per unit of base asset as a decimal string Example: "67340.25" ## Response 400 fields (application/json): - `message` (string) Error message ## Response 500 fields (application/json): - `message` (string) Error message ## Response 503 fields (application/json): - `message` (string) Error message